:root {
    --c-main: #2968a6;
    --c-danger: #dc3545;
    --c-bg: #205080;
    --c-bg-dark: #153758;
    --c-main-light: #398de0;
    --c-main-dark: #153758;
    --c-book-blue: rgb(23 127 188);
    --c-text: #2c3e50;
}
*, ::before, ::after {
    box-sizing: border-box;
    border-width: 0;
    border-style: solid;
    border-color: #e5e7eb;
}

html, body {scroll-behavior: smooth}

.shadow-1 {box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24)}
.shadow-2 {box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23)}
.shadow-3 {box-shadow: 0 10px 20px rgba(0,0,0,0.19), 0 6px 6px rgba(0,0,0,0.23)}
.shadow-4 {box-shadow: 0 14px 28px rgba(0,0,0,0.25), 0 10px 10px rgba(0,0,0,0.22)}
.shadow-5 {box-shadow: 0 19px 38px rgba(0,0,0,0.30), 0 15px 12px rgba(0,0,0,0.22)}

.center {text-align: center}
.left {text-align: left}
.right {text-align: right}

.pointer {
    -webkit-user-select: none;
    user-select: none;
    cursor: pointer;
}
.pointer-hov:hover {
    filter: brightness(0.9);
}
.pointer-act:active {
    filter: brightness(0.8);
    box-shadow: none;
}

label {
    -webkit-tap-highlight-color: rgb(0 0 0 / 0);
}

.btn {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    border: none;
    border-radius: 5px;
    outline: none;
    background-color: #398de0;
    color: white;
    font-family: sans-serif;
    font-size: 15px;
    text-decoration: none;
    padding: 0.5rem 1rem;
}
.btn-danger {
    background-color: #ff4b4b;
    color: white;
}

.lightbox {
    z-index: 5;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    display: flex;
    padding: 1rem;
    background: hsl(0, 0%, 0%, 0.25);
    pointer-events: none;
    opacity: 0;
}
:checked + .lightbox {
    pointer-events: auto;
    opacity: 1;
}
.lightbox-container {
    position: relative;
    width: 95%;
    max-width: 1024px;
    background-color: white;
    padding: 1rem;
    margin: auto;
    border-radius: 5px;
}
.lightbox-msg .lightbox-container {
    max-width: 400px;
}
.lightbox-btn-area {
    margin-top: 1rem;
    font-size: 15px;
    color: var(--c-main)
}
.lightbox-btn-area .pointer:not(:last-child) {
    margin-right: 1.5rem;
}

.switch {
    display: none;
}


.w-5 {
    width: 1.25rem;
}
.w-6 {
    width: 1.5rem;
}
.w-7 {
    width: 1.75rem;
}
.h-5 {
    height: 1.25rem;
}
.h-6 {
    height: 1.5rem;
}
.h-7 {
    height: 1.75rem;
}
.m-0 {
    margin: 0;
}
strong.variety {
    color: #e73a72;
}